MP4(3)

NAME

MP4GetDuration - Get the duration of the movie (file)

SYNTAX

#include <mp4.h>

MP4Duration MP4GetDuration(
    MP4FileHandle hFile
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

The duration of the movie (file) in movie (file) time scale units.

DESCRIPTION

MP4GetDuration returns the maximum duration of all the tracks in the specified mp4 file.

Caveat: the duration is the movie (file) time scale units.

SEE ALSO

MP4(3) MP4GetTimeScale(3) MP4ConvertFromMovieDuration(3)